## Sid Meier's Civilization 4
## Copyright Firaxis Games 2005
##
## Implementaion of miscellaneous game functions

import CvUtil
from CvPythonExtensions import *
import CvGameUtils
import CvEventInterface
import SpaceMod
import VadusUnit

# globals
gc = CyGlobalContext()
spaceMod = SpaceMod.SpaceMod()

class CvSpaceModGameUtils(CvGameUtils.CvGameUtils):
	def cannotHandleAction(self,argsList): # this is the only place I've found that you can respond to the action buttons
		pPlot = argsList[0]
		iAction = argsList[1] # iAction is data1 from the appendMultiListButton command - it is always negative so that civ4 doesn't deal with it itself
		bTestVisible = argsList[2]
		if (iAction < 0):
			CyInterface().addImmediateMessage("build unit : %s"%(spaceMod.getUnitFromAction(iAction).getName()), "")
			#CyInterface().getHeadSelectedCity().chooseProduction(spaceMod.getUnitAt(iAction+1000).getType(), -1, -1, False)
			spaceMod.cityProduceUnit(spaceMod.getUnitFromAction(iAction))
			
			CyInterface().makeInterfaceDirty()
			CyInterface().setDirty(InterfaceDirtyBits.InfoPane_DIRTY_BIT, True)
			CyInterface().setDirty(InterfaceDirtyBits.SelectionButtons_DIRTY_BIT, True)
			return True
#		if (iAction < -1001 and iAction > -1101):
#			CyInterface().addImmediateMessage("promoButton %d pressed" %(iAction+1100), "")
#			return True
		
		return False