
import ScreenInput as PyScreenInput
import CvScreenUtils
import UnitBoxScreen
from CvVadusScreenEnums import *

unitBoxScreen = UnitBoxScreen.UnitBoxScreen(UNIT_BOX_SCREEN)

class CvVadusScreenUtils(CvScreenUtils.CvScreenUtils):
    HandleInputMap = {                  
        
            UNIT_BOX_SCREEN : unitBoxScreen,

                    # add new screens here
                    }
    

    def leftMouseDown (self, argsList):
        # return 1 to consume the input
        screenEnum = argsList[0]
        return 0
            
    def rightMouseDown (self, argsList):
        # return 1 to consume the input
        screenEnum = argsList[0]
        return 0

    def mouseOverPlot(self, argsList):
        # return 1 to consume the input
        screenEnum = argsList[0]
        return 0

    def update(self, argsList):
        screenEnum = argsList[0]
        if (self.HandleInputMap and self.HandleInputMap.has_key(screenEnum)):
            screen = self.HandleInputMap.get(screenEnum)
            screen.update(argsList[1])
        return 0

    def handleInput (self, argsList):
        ' handle input is called when a screen is up '
        screenEnum, inputClass = argsList 
        if (self.HandleInputMap and inputClass and self.HandleInputMap.has_key(screenEnum)):
            # get the screen that is active from the HandleInputMap Dictionary
            screen = self.HandleInputMap.get( inputClass.getPythonFile() )
        
            # call handle input on that screen
            if ( screen ):
                # return 1 to consume input
                return screen.handleInput(inputClass)
        return 0

    # Forced screen update
    def forceScreenUpdate (self, argsList):
        screenEnum = argsList[0]
        # place call to update function here
        return 0

    # Forced redraw
    def forceScreenRedraw (self, argsList):
        screenEnum = argsList[0]
        # place call to redraw function here
        return 0

    # Minimap Clicked
    def minimapClicked(self, argsList):
        screenEnum = argsList[0]
        # place call to mini map function here
        return 0
    