# VadusUnit.py
# Author : Vadus
# This is a unit class which is needed for the unit sandbox. An VadusUnit Object stores
# the name and promotions of the predefined units to build them in the cities.
# This instances are used by the SpaceMod class

class VadusUnit:
    
    def __init__(self, iClass=-1, iType=-1, sName="", *pPromos):
        self.iclass = iClass
        self.type = iType
        self.name = sName
        self.promos = []
        for promo in pPromos:
            self.promos.append(promo)
            
    def setClass(self, iClass):
        self.iclass = iClass

    def setName(self, sName):
        self.name = sName
    
    def setPromos(self, *pPromos):
        for promo in pPromos:
            self.promos.append(promo)
            
    def setType(self, iType):
        self.type = iType
        
    def getClass(self):
        return self.iclass
        
    def getName(self):
        return self.name
    
    def getType(self):
        return self.type
    
    def getPromos(self):
        return self.promos